org.encog.mathutil.rbf

## Class MexicanHatFunction

- java.lang.Object
- - org.encog.mathutil.rbf.BasicRBF
  - - org.encog.mathutil.rbf.MexicanHatFunction

- All Implemented Interfaces:
    Serializable, RadialBasisFunction

      public class MexicanHatFunction
      extends BasicRBF

  Multi-dimensional Mexican Hat, or Ricker wavelet, function. It is usually only referred to as the "Mexican hat" in the Americas, due to cultural association with the "sombrero". In technical nomenclature this function is known as the Ricker wavelet, where it is frequently employed to model seismic data. http://en.wikipedia.org/wiki/Mexican_Hat_Function
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MexicanHatFunction(double peak, double[] center, double width)` Construct a multi-dimension Mexican hat function with the specified peak, centers and widths.
    `MexicanHatFunction(double center, double peak, double width)` Construct a single-dimension Mexican hat function with the specified peak, centers and widths.
    `MexicanHatFunction(int dimensions)` Create centered at zero, width 0, and peak 0.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculate(double[] x)` Calculate the result from the function.

    - ### Methods inherited from class org.encog.mathutil.rbf.BasicRBF

      `getCenter, getCenters, getDimensions, getPeak, getWidth, setCenters, setPeak, setWidth, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MexicanHatFunction

          public MexicanHatFunction(double center,
                            double peak,
                            double width)

      Construct a single-dimension Mexican hat function with the specified peak, centers and widths.
      Parameters:
        `peak` - The peak for all dimensions.
        `center` - The centers for each dimension.
        `width` - The widths for each dimension.

    - #### MexicanHatFunction

          public MexicanHatFunction(double peak,
                            double[] center,
                            double width)

      Construct a multi-dimension Mexican hat function with the specified peak, centers and widths.
      Parameters:
        `peak` - The peak for all dimensions.
        `center` - The centers for each dimension.
        `width` - The widths for each dimension.

    - #### MexicanHatFunction

          public MexicanHatFunction(int dimensions)

      Create centered at zero, width 0, and peak 0.
      Parameters:
        `dimensions` - Dimensions.

  - ### Method Detail

    - #### calculate

          public final double calculate(double[] x)

      Calculate the result from the function.
      Parameters:
        `x` - The parameters for the function, one for each dimension.
      Returns:
        The result of the function.

Copyright © 2014. All Rights Reserved.